/*
 * (c) Copyright 1989 1990 1991 Tektronix Inc.
 * 	All Rights Reserved
 *
 * Permission to use, copy, modify, and distribute this software and its
 * documentation for any purpose and without fee is hereby granted,
 * provided that the above copyright notice appear in all copies and that
 * both that copyright notice and this permission notice appear in
 * supporting documentation, and that the name of Tektronix not be used
 * in advertising or publicity pertaining to distribution of the software
 * without specific, written prior permission.
 *
 * Tektronix disclaims all warranties with regard to this software, including
 * all implied warranties of merchantability and fitness, in no event shall
 * Tektronix be liable for any special, indirect or consequential damages or
 * any damages whatsoever resulting from loss of use, data or profits,
 * whether in an action of contract, negligence or other tortious action,
 * arising out of or in connection with the use or performance of this
 * software.
 *
 *	NAME
 *		CMSColor.h -- this has some defines for color exchange
 *
 *	DESCRIPTION
 *		
 *
 *	HISTORY
 *
 *	HISTORY END
 *
 */

#ifndef LINT
#ifdef RCS_ID
static char *rcsid=  "$Header: CMSColor.h,v 1.1 91/08/22 11:11:51 adamsc Exp $";
#endif /* RCS_ID */
#endif /* LINT */

#ifndef _CMSColor_h
#define _CMSColor_h

#define CMS_SelectionName	"_CMS_EDITED_COLORMAP"
#define CMS_MessageName		"_CMS_CHANGE_COLOR"
#define CMS_Status		"_CMS_COLOR"
#define CMS_Colormap		"COLORMAP"

typedef struct {
    long    when;	/* Time */
    long    min;	/* Pixel minimum */
    long    max;	/* Pixel maximum */
    long    x_root;	/* x location of pixel selected */
    long    y_root;	/* y location of pixel selected */
} CmsChange;

#endif /* _CMSColor_h */
